{%extends 'base.html' %}

{% block content %}
<h1>Confirm Download</h1>



<p id="taskid">{{taskid}}</p>
<p id="status">
  <button type="button" id ="bt" class="btn btn-danger" onclick="myFunction()"><span class="glyphicon glyphicon-arrow-down"></span> YES</button> 
  {% csrf_token %}
</p>
<style type="text/css">
  
      #loader {
        position: absolute;
        left: 50%;
        top: 50%;
        z-index: 1;
        width: 150px;
        height: 150px;
        margin: -75px 0 0 -75px;
        border: 16px solid #f3f3f3;
        border-radius: 50%;
        border-top: 16px solid #3498db;
        width: 120px;
        height: 120px;
        -webkit-animation: spin 2s linear infinite;
        animation: spin 2s linear infinite;
      }

      @-webkit-keyframes spin {
        0% { -webkit-transform: rotate(0deg); }
        100% { -webkit-transform: rotate(360deg); }
      }

      @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
      }

      /* Add animation to "page content" */
      .animate-bottom {
        position: relative;
        -webkit-animation-name: animatebottom;
        -webkit-animation-duration: 1s;
        animation-name: animatebottom;
        animation-duration: 1s
      }

      @-webkit-keyframes animatebottom {
        from { bottom:-100px; opacity:0 } 
        to { bottom:0px; opacity:1 }
      }

      @keyframes animatebottom { 
        from{ bottom:-100px; opacity:0 } 
        to{ bottom:0; opacity:1 }
      }

</style>
<div id="loader"></div>
<div id="download-menu">
<a href="{% url 'qa:download_file' user.id %}" class="btn btn-primary pull-left" id = "dl-url">
  <button type="button" id ="dl-btn"class="btn btn-primary"><span class="glyphicon glyphicon-arrow-down"></span> Download files</button> 
</a>

</div>
{%block javascript%}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>

var csrftoken = jQuery("[name=csrfmiddlewaretoken]").val();
var myVar;

function myFunction() {
  $("#loader").show();
}

function showPage() {
    $("#download-menu").show();
  $("#loader").hide();
}

function csrfSafeMethod(method) {
    // these HTTP methods do not require CSRF protection
    return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
}
// set csrf header
$.ajaxSetup({
    beforeSend: function(xhr, settings) {
        if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
            xhr.setRequestHeader("X-CSRFToken", csrftoken);
        }
    }
});
var task_id = $('#taskid').text()
console.log(task_id)
$("#dl-url").hide();
//$("#cancel").hide();
$('#taskid').hide();
$('#loader').hide();
$("#bt").click(function(){ 
function StatusAjax(){  
$.ajax({
        type: "GET",
        url: '{% url "qa:downloads/questions/status"%}'+"?task_id="+task_id,
        success: function (data) {
          console.log({taskid})
          $("#result").text(data.status)
          if (data.status == "PENDING"){
            console.log({taskid})
            myFunction()
          setTimeout(StatusAjax(), 3000);
          }
          if (data.status == "SUCCESS"){
          showPage()
  $("#dl-url").show();
  $("#status").hide();
  //$("#cancel").show();
          }
          },
      });     }
StatusAjax()
});
</script>
{%endblock javascript%}
{% endblock content %}
